Get all catalogs

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/catalog

Returns a list of catalogs that match the search criteria.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The list of catalogs was returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : CatalogOracle
Title: CatalogOracle
Match All
Show Source
  • Catalog
    Title: Catalog
    Discriminator: { "propertyName":"@type", "mapping":{ "Catalog":"#/components/schemas/Catalog", "CatalogOracle":"#/components/schemas/CatalogOracle" } }
    The catalog resource.
  • CatalogOracle-allOf[1]
Nested Schema : Catalog
Type: object
Title: Catalog
Discriminator: @type

Discriminator Values

The catalog resource.
Show Source
Nested Schema : CatalogOracle-allOf[1]
Type: object
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get a catalog by submitting a GET request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/catalog \ -H 'Content-Type: application/json'

Example of Response Body

The following example shows the contents of the response body in JSON format.

[
    {
        "id": "ConsumerCatalog",
        "name": "ConsumerCatalog",
        "description": "Catalog definition for Consumers",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/catalog/ConsumerCatalog",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2025-02-18T07:51:47.000Z",
        "createdBy": "booth",
        "lastUpdate": "2025-03-06T13:47:51.153Z",
        "lastUpdatedBy": "booth",
        "@type": "CatalogOracle",
        "@baseType": "Catalog",
        "catalogType": "PRODUCT",
        "validFor": {
            "startDateTime": "2024-08-09T00:00:00.000Z",
            "endDateTime": "2028-08-09T00:00:00.000Z"
        },
        "project": {
            "id": "DBE_RI_ProdModel_PreSeed_PSP",
            "name": "DBE RI Product Model Preseed",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
            "version": "1.0",
            "@referredType": "ProjectOracle"
        },
        "relatedParty": [
            {
                "role": "ROLE1",
                "partyOrPartyRole": {
                    "id": "PartyRoleID",
                    "name": "PartyRoleName",
                    "partyId": "partyid123",
                    "partyName": "partyName",
                    "@referredType": "PartyRole",
                    "@type": "PartyRoleRef"
                },
                "@type": "RelatedPartyRefOrPartyRoleRef"
            }
        ],
        "category": [
            {
                "id": "88-4KXTW",
                "name": "2D Scanners",
                "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/88-4KXTW",
                "version": "1.0",
                "@referredType": "CategoryOracle",
                "@type": "CategoryOracle"
            },
            {
                "id": "88-4KXTY",
                "name": "Android Scanners",
                "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/88-4KXTY",
                "version": "1.0",
                "@referredType": "CategoryOracle",
                "@type": "CategoryOracle"
            }
        ]
    },
    {
        "id": "ConsumerCatalogAPAC",
        "name": "Consumer Catalog APAC",
        "description": "Catalog definition for Consumers",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/catalog/ConsumerCatalogAPAC",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "created": "2025-02-18T07:51:47.000Z",
        "createdBy": "booth",
        "lastUpdate": "2025-03-06T13:47:51.153Z",
        "lastUpdatedBy": "booth",
        "@type": "CatalogOracle",
        "@baseType": "Catalog",
        "catalogType": "PRODUCT",
        "validFor": {
            "startDateTime": "2024-08-09T00:00:00.000Z",
            "endDateTime": "2028-08-09T00:00:00.000Z"
        },
        "project": {
            "id": "DBE_RI_ProdModel_PreSeed_PSP",
            "name": "DBE RI Product Model Preseed",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
            "version": "1.0",
            "@referredType": "ProjectOracle"
        },
        "relatedParty": [
            {
                "role": "ROLE1",
                "partyOrPartyRole": {
                    "id": "PartyRoleID",
                    "name": "PartyRoleName",
                    "partyId": "partyid123",
                    "partyName": "partyName",
                    "@referredType": "PartyRole",
                    "@type": "PartyRoleRef"
                },
                "@type": "RelatedPartyRefOrPartyRoleRef"
            }
        ],
        "category": [
            {
                "id": "88-4KXTW",
                "name": "2D Scanners",
                "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/88-4KXTW",
                "version": "1.0",
                "@referredType": "CategoryOracle",
                "@type": "CategoryOracle"
            },
            {
                "id": "88-4KXTY",
                "name": "Android Scanners",
                "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/category/88-4KXTY",
                "version": "1.0",
                "@referredType": "CategoryOracle",
                "@type": "CategoryOracle"
            }
        ]
    }
]
Back to Top